For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Global Payroll
    • Introduction
    • Time Tracking
    • Adjustments
  • Common Use Cases
    • Reimburse expenses
  • Endpoints
      • POSTCreate a New Shift Rate
      • DELDelete a Shift Rate by external ID
      • POSTGenerate timesheet upload url
      • GETRetrieve a Paginated List of Shift Rates
      • GETRetrieve a Shift Rate by External ID
      • GETRetrieve a timesheet
      • POSTReview a submitted timesheet
      • PATCHUpdate a shift rate
LogoLogo
SupportDeel Home
EndpointsTime Tracking

Retrieve a timesheet

GET
/time-tracking/timesheets/:timesheet_id
GET
/rest/v2/time-tracking/timesheets/:timesheet_id
$curl -G https://api.letsdeel.com/rest/v2/time-tracking/timesheets/880e8400-e29b-41d4-a716-446655440003 \
> -H "Authorization: Bearer <token>" \
> -d extend=file_data
1{
2 "data": {
3 "id": "660e8400-e29b-41d4-a716-446655440001",
4 "end_date": "2024-01-14",
5 "created_at": "2024-01-15T09:15:00.000Z",
6 "start_date": "2024-01-08",
7 "updated_at": "2024-01-16T10:30:00.000Z",
8 "contract_id": "mzz676x",
9 "review_status": "PENDING_REVIEW",
10 "submission_status": "SUBMITTED",
11 "validation_errors": null,
12 "file_data": {
13 "file_id": "770e8400-e29b-41d4-a716-446655440002",
14 "file_name": "January_Week2_Timesheet.csv",
15 "download_url": "https://my-unique-upload-bucket.s3.amazonaws.com/uploads/document.pdf?..."
16 }
17 }
18}

Retrieves a timesheet by timesheet_id, including its submission, review, and processing status. Pass expand=file_data to include file name and download URL in the response. Token scopes: time-tracking:read

Was this page helpful?
Previous

Review a submitted timesheet

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

timesheet_idstringRequiredformat: "uuid"
ID of the timesheet to fetch file for

Query parameters

extendstringOptional<=100 characters

Optional list of fields to extend in the response. Currently only file_data is supported, which includes file details (file_id, file_name) and download URL.

Response

Timesheet retrieved successfully. Returns timesheet details including validation errors if applicable. When extend=file_data, also includes file_data object with file details and download URL.

dataobject

Timesheet data including validation errors if applicable. When extend=file_data, also includes file_data object with file details and download URL.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication